from grab import makePublic
from shared import TagHelper
from build import build


def grab():
    all_files = TagHelper.getAllFiles()
    filtered_files = makePublic.filterFiles(all_files)
    makePublic.copyFiles(filtered_files)
    print("Censoring files...")
    makePublic.censorFiles()


def build_website():
    print('building websites')
    build.generate_website()


def main():
    print('in main')
    grab()
    print('going to build')
    build_website()


if __name__ == '__main__':
    main()
